Bug 587893 - All wxpython programs crash due to update to wxBase
Summary: All wxpython programs crash due to update to wxBase
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: wxPythonGTK2   
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: MERCIER Jonathan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:149ab5e4
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-01 13:00 UTC by Durand D'souza
Modified: 2010-05-04 20:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-04 20:21:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (7.00 KB, text/plain)
2010-05-01 13:00 UTC, Durand D'souza
no flags Details

Description Durand D'souza 2010-05-01 13:00:21 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: python /usr/bin/spe
comment: I think this error may affect other wxpython programs but I'm not sure.
component: spe
executable: /usr/bin/spe
kernel: 2.6.33.1-24.fc13.x86_64
package: spe-0.8.4.h-6.fc12
reason: _misc.py:4:<module>:ImportError: /usr/lib64/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/_misc_.so: symbol _ZN7wxSound6CreateEiPKh, version WXU_2.8 not defined in file libwx_gtk2u_adv-2.8.so.0 with link time reference
release: Fedora release 13 (Goddard)
How to reproduce: Run SPE.

Comment 1 Durand D'souza 2010-05-01 13:00:23 UTC
Created attachment 410666 [details]
File: backtrace

Comment 2 Durand D'souza 2010-05-02 23:28:20 UTC
This definitely affects other wxpython applications, including ulipad, winpdb and wxglade. I'm pretty sure the problem came from an update to wxBase.

Comment 3 Durand D'souza 2010-05-04 20:21:16 UTC
Been fixed with the latest wxPython update.


Note You need to log in before you can comment on or make changes to this bug.